/*
 Theme Name: Royale News Custom
 Theme URI: https://seudominio.com/
 Description: Tema filho personalizado de Royale News para o Attack Urbano.
 Author: Paulo F.
 Author URI: https://seudominio.com/
 Template: royale-news
 Version: 1.0
*/

/* Exemplo: mude a cor de fundo */
/*body.wp-child-theme-royale-news-custom {
    background-color: #00f; 
}*/

body.wp-child-theme-royale-news-custom {
    color: #181818; 
}

/****************** TOPO DO SITE ********************/

.wp-child-theme-royale-news-custom .top-header-menu ul.menu li a {
  font-family: "Oswald", sans-serif;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.wp-child-theme-royale-news-custom .bottom-header .col-md-10 {
  width: 100%;
}

.wp-child-theme-royale-news-custom .middle-header {
  padding: 20px 0px;
} 

.wp-child-theme-royale-news-custom .main-navigation .primary-menu li a {
  font-family: "Oswald", sans-serif;
  font-weight: 700;
  letter-spacing: 1px;
  padding: 10px 20px;
}

.wp-child-theme-royale-news-custom .main-navigation .primary-menu li a:hover {
  background-color: #181818;
  color: #fff;
}

.wp-child-theme-royale-news-custom .custom-logo-link img {
  width: auto;
  max-height: 180px;
}

.wp-child-theme-royale-news-custom .social-menu li a[href*=".com"]:before {
  transition: all 0.2s;
  font-size: 18px; 
}

.wp-child-theme-royale-news-custom .social-menu li a[href*=".com"]:hover::before {
  /* opacity: 0.3; */
  color: #f90;
}

/****************** CONTEÚDO ********************/

.wp-child-theme-royale-news-custom .site-content {
  margin: 30px 0px;
}

/****************** TÍTULOS E LINKS ********************/

.wp-child-theme-royale-news-custom a:active, 
.wp-child-theme-royale-news-custom a:focus, 
.wp-child-theme-royale-news-custom a:hover,
.wp-child-theme-royale-news-custom .big-news-content:hover .news-title a,
.wp-child-theme-royale-news-custom .news-content-top:hover .news-title a, 
.wp-child-theme-royale-news-custom .small-news-content:hover .news-title a  { 
	color: #42AF2B;
}

.wp-child-theme-royale-news-custom .footer .widget-title, 
.wp-child-theme-royale-news-custom .news-title a:hover, 
.wp-child-theme-royale-news-custom .post-navigation .nav-links .nav-next a:focus, 
.wp-child-theme-royale-news-custom .post-navigation .nav-links .nav-next a:hover, 
.wp-child-theme-royale-news-custom .post-navigation .nav-links .nav-previous a:focus, 
.wp-child-theme-royale-news-custom .post-navigation .nav-links .nav-previous a:hover, 
.wp-child-theme-royale-news-custom .widget a:hover {
	color: #42AF2B;
}

.wp-child-theme-royale-news-custom .cat-links a,
.wp-child-theme-royale-news-custom .cat-links a:first-child {
	background-color: #147800;
}
.wp-child-theme-royale-news-custom .cat-links a:nth-child(2) {
	background-color: #289212;
}
.wp-child-theme-royale-news-custom .cat-links a:nth-child(3) {
	background-color: #42AF2B;
}
.wp-child-theme-royale-news-custom .cat-links a:nth-child(4) {
	background-color: #61C34C;
}

.wp-child-theme-royale-news-custom .highlight-left .highlight-info .news-title,
.wp-child-theme-royale-news-custom .highlight-right .highlight-info .news-title {
  text-shadow: 2px 2px 3px #000000;
}

.wp-child-theme-royale-news-custom .news-section-info,
.wp-child-theme-royale-news-custom .breadcrumb, 
.wp-child-theme-royale-news-custom .news-section-info, 
.wp-child-theme-royale-news-custom .sidebar .widget-info {
	border-left-color: #137700;
}

.wp-child-theme-royale-news-custom .footer, 
.wp-child-theme-royale-news-custom .search-icon,  
.wp-child-theme-royale-news-custom .section-title, 
.wp-child-theme-royale-news-custom .sidebar .widget-title {
	background-color: #181818;
}

.wp-child-theme-royale-news-custom .breadcrumbs li a {
  font-size: 11px;
}

.wp-child-theme-royale-news-custom .editor-content-entry a {
  text-decoration: underline;
}

.wp-child-theme-royale-news-custom .flyer-post {
  max-width: 400px;
}

.wp-child-theme-royale-news-custom .content-area ul, .wp-child-theme-royale-news-custom .content-area ol {
  margin: 0px 0px;
  padding-inline-start: 30px;
}

.wp-child-theme-royale-news-custom .archive-news-content .news-content .btn-more:hover {
  color: #fff;
  opacity: 0.5;
}

.wp-child-theme-royale-news-custom .archive-news-content.archive-news-content .news-image .cat-links {
  pointer-events: none;
}

.wp-child-theme-royale-news-custom .archive-news-content.archive-news-content .news-image .cat-links a {
  pointer-events: auto;
}

.wp-child-theme-royale-news-custom .highlight-left-carousel.owl-carousel .owl-nav button.owl-next:hover,
.wp-child-theme-royale-news-custom .highlight-left-carousel.owl-carousel .owl-nav button.owl-prev:hover {
  opacity: 0.3;
}

/***** MENU NAVEGAÇÃO *****/
.wp-child-theme-royale-news-custom .main-navigation .primary-menu li .sub-menu .current-menu-item a, 
.wp-child-theme-royale-news-custom .main-navigation .primary-menu li .sub-menu .current-menu-item a:focus, 
.wp-child-theme-royale-news-custom .main-navigation .primary-menu li .sub-menu .current-menu-item a:hover, 
.wp-child-theme-royale-news-custom .main-navigation .primary-menu li.current-menu-item>a, 
.wp-child-theme-royale-news-custom .main-navigation .primary-menu li.current-menu-item>a:focus, 
.wp-child-theme-royale-news-custom .main-navigation .primary-menu li.current-menu-item>a:hover {
    background-color: #181818;
}

/***** MENU POLÍTICAS *****/
.menu-politica-do-site-container .current-menu-item a {
    font-weight: bold;
    color: #181818;
    border-left: 3px solid #137700;
    padding-left: 10px;
    background-color: #f9f9f9;
}

/***** TEXTOS/CONTEÚDOS *****/

.wp-child-theme-royale-news-custom .wp-block-separator {
  border-top: 1px solid;
  color: #ddd;
}

.wp-child-theme-royale-news-custom .entry-meta {
  width: 100%;
  float: left;
  font-size: 14px;
}

.wp-child-theme-royale-news-custom .news-content {
  float: left;
}


/***** AUTHOR *****/

/* .wp-child-theme-royale-news-custom .single-news-content .entry-meta {
  display: flex;
  justify-content: left;
  align-items: center;
  gap: 20px;
} */

.wp-child-theme-royale-news-custom .entry-meta span {
  margin: 0px 10px 5px 0px;
  float: left;
}

.wp-child-theme-royale-news-custom .entry-meta span a {
  margin: 0px;
  padding: 0px;
  float: left;
}

.wp-child-theme-royale-news-custom .entry-meta .author a:before {
  content: none;
}

.wp-child-theme-royale-news-custom .author.vcard .avatar {
  width: 20px;
  margin-right: 5px;
  float: inherit;
  transition: all 0.2s;
}

.wp-child-theme-royale-news-custom .author.vcard a:hover .avatar {
  opacity: 0.5;
}

.author-section {
  border-bottom: solid;
  padding-bottom: 30px;
  margin-bottom: 30px;
}

/* .wp-child-theme-royale-news-custom .author.vcard .avatar {
  display: none;
} */

/***** AUTHOR BOX *****/
.author-box {
  display: flex;
  gap: 30px;
}

.author-box .author-avatar {
  display: contents;
}

.author-box .author-avatar img {
  width: 120px;
  height: 120px;
  margin: 0px;
  padding: 0px;
}

.author-box .author-info-box {
  width: 100%;
}

.author-box .author-info .author-name {
  font-size: 16px;
}

.author-box .author-info ul {
  padding: 0px;
  margin-bottom: 15px;
  list-style: none;
  display: flex;
  justify-content: space-between;
}

.author-box .author-info ul li span {
  font-weight: bold;;
}

.author-box .author-info .author-bio {
  font-size: 14px;
  margin-bottom: 20px;
}

.author-box .author-social {
  display: flex;
  gap: 15px;
}

.author-box .author-social a {
  width: 40px;
  height: 40px;
}

.author-box .author-social svg {
  width: 40px;
  height: 40px;
}

.author-box .author-social svg {
  width: 40px;
  height: 40px;
}

.author-box .author-social svg path {
  fill: #000;
  transition: all 0.2s;
}

.author-box .author-social svg path.fill-twit {
  fill: #fff;
}

.author-box .author-social a:hover svg path {
  fill: #137700;
}

.author-box .author-social a.twit:hover svg path {
  fill: #666;
}
.author-box .author-social a.twit:hover svg path.fill-twit {
  fill: #fff;
}

.author-box .author-social a.inst:hover svg path {
  fill: #dc336e;
}

.author-box .author-social a.face:hover svg path {
  fill: #4267b2;
}

.author-box .author-social a.link:hover svg path {
  fill: #0a66c2;
}

.author-box .author-social a.yout:hover svg path {
  fill: #e00000;
}

@media (max-width: 580px) {
  .author-box {
    flex-direction: column;
  }
  .author-box .author-avatar {
    display: flex;
    justify-content: center;
  }
  .author-box .author-avatar img {
    width: 180px;
    height: 180px;
  }
  .author-box .author-info ul {
    flex-direction: column;
  }
}

/****************** MEDIA *********************/
.youtube-container {
  position: relative;
  padding-bottom: 56.25%;
  height: 0;
  overflow: hidden;
  max-width: 100%;
}

.youtube-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.modula-gallery {
	margin-bottom: 35px;
}
 
.banner-arroba,
.banner-video  {
	width: 310px;
	height: 310px;
	margin: 30px auto 30px auto;
  padding: 30px 0px;
	text-align: center;
  background-color: #ffffff;
  opacity: 0.8;
  background-size: 10px 10px;
  background-image: repeating-linear-gradient(45deg, #dadada 0, #dadada 1px, #ffffff 0, #ffffff 50%);
}

.banner-video a {
  max-height: 250px;
  display: inline-block;
}

.banner-video video {
  width: 250px;
  height: auto;
  margin: 0 auto; 
}

/* Estilo personalizado para o widget de nuvem de tags */
.wp-child-theme-royale-news-custom .widget_tag_cloud {
  /* padding: 15px; */
}

.widget_tag_cloud .tagcloud {
  /* background-color: #f9f9f9;
  border-radius: 8px;
  border: 1px solid #ddd; */
}

.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-cloud-link {
  /* font-size: 14px; */
  /* display: inline-block; */
  /* margin: 5px 6px; */
  padding: 8px 10px;
  /* background-color: #181818;  */
  /* color: #fff; */
  /* text-decoration: none; */
  /* font-size: inherit; */
  /* border-radius: 4px; */
  /* transition: background-color 0.2s, color 0.2s; */
}

.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-1,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-2,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-3,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-4,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-5 {
  font-size: 14px;
}

.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-6,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-7,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-8,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-9,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-10 {
  font-size: 13px;
}

.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-11,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-12,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-13,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-14,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-15 {
  font-size: 12px;
}

.wp-child-theme-royale-news-custom  .widget_tag_cloud .tagcloud .tag-link-position-16,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-17,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-18,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-19,
.wp-child-theme-royale-news-custom .widget_tag_cloud .tagcloud .tag-link-position-20 {
  font-size: 11px;
}

.widget_tag_cloud .tagcloud a:hover {
  background-color: #42AF2B;
  color: #fff;
}

/****************** FOOTER ********************/

.footer .widget_pages .page_item {
  font-size: 14px;
  border-color: #252525;
}

.footer .widget_pages .page_item a:before {
  display: none;
}

.wp-child-theme-royale-news-custom .bottom-footer .col-md-6:first-child {
  width: 40%;
}

.wp-child-theme-royale-news-custom .bottom-footer .col-md-6:first-child + .col-md-6 {
  width: 60%;
}

.wp-child-theme-royale-news-custom  .footer-menu {
  margin: 7px 0px 0px 0px;
  padding: 0px;
  display: flex;
  justify-content: flex-end;
}

.wp-child-theme-royale-news-custom  .footer-menu li {
  display: flex;
  margin: 0px 0px 0px 15px;
}

.wp-child-theme-royale-news-custom  .footer-menu li a {
  font-size: 14px;
}

.wp-child-theme-royale-news-custom .scroll-top {
  border-color: #137700;
  color: #137700;
}

.wp-child-theme-royale-news-custom .scroll-top:focus,
.wp-child-theme-royale-news-custom .scroll-top:hover {
  background-color: #137700;
  border-color: #fff;
  cursor: pointer;
}

@media (max-width: 992px) {
  .wp-child-theme-royale-news-custom  .bottom-footer {
    padding-bottom: 15px;
    border-bottom: solid 1px #292929;
    margin-bottom: 15px;
  }

  .wp-child-theme-royale-news-custom .bottom-footer .col-md-6:first-child {
    width: 100%;
  }

  .wp-child-theme-royale-news-custom .bottom-footer .col-md-6:first-child + .col-md-6 {
    width: 100%;
  }

  .wp-child-theme-royale-news-custom .bottom-footer .copyright-text {
    text-align: center;
  }

  .wp-child-theme-royale-news-custom .footer-menu {
    width: 100%;
    justify-content: center;
    margin-top: 25px;
    gap: 30px;
  }

  .wp-child-theme-royale-news-custom .footer-menu li {
    margin: 0px;
  }
}

@media (max-width: 680px) {
  .wp-child-theme-royale-news-custom .footer-menu {
    flex-direction: column;
    gap: 15px;
    margin-top: 0px;
  }
  .wp-child-theme-royale-news-custom .footer-menu li {
    justify-content: center;
  }

  .wp-child-theme-royale-news-custom .editor-content-entry .wp-block-media-text .wp-block-media-text__content, 
  .wp-child-theme-royale-news-custom .editor-content-entry .wp-block-media-text .wp-block-media-text__media {
    margin-bottom: 30px;
    padding-left: 0px;
  }
}

/** LOGIN SOCIAL **/
.social-login .the_champ_login_ul {
  display: flex;
  justify-content: center;
}

/*
@media (max-width: 768px) {

}
*/

/* Ocultar categorias técnicas internas */
.cat-links .category-destaque-slider,
.cat-links .category-destaque-lateral-slider-1,
.cat-links .category-destaque-lateral-slider-2 {
    display: none !important;
}

